.adopt-header {
    font-size: var(--sub-header-font-size);
    color: var(--secondary-color);
}

.adopt-container {
    width: 100%;
    padding: 2rem;
}

.adopt-header-container {
    left: -100%;
    position: relative;
    transition: var(--slide-transition);
}

.adopt-header-container.visible-on-scroll {
    left: 0;
}

.adopt-part-1,
.adopt-part-2,
.adopt-part-3 {
    width: 100%;
    display: flex;
    justify-content: center;
    overflow-y: hidden;
}

.adopt-part-1.visible-on-scroll .adopt-card,
.adopt-part-2.visible-on-scroll .adopt-card,
.adopt-part-3.visible-on-scroll .adopt-card {
    animation: FadeIn 0.5s linear;
    animation-fill-mode: both;
}

.adopt-part-1.visible-on-scroll .adopt-card:nth-child(1),
.adopt-part-2.visible-on-scroll .adopt-card:nth-child(1),
.adopt-part-3.visible-on-scroll .adopt-card:nth-child(1) {
    animation-delay: 0.2s;
}

.adopt-part-1.visible-on-scroll .adopt-card:nth-child(2),
.adopt-part-2.visible-on-scroll .adopt-card:nth-child(2),
.adopt-part-3.visible-on-scroll .adopt-card:nth-child(2) {
    animation-delay: 0.4s;
}

.adopt-part-1.visible-on-scroll .adopt-card:nth-child(3),
.adopt-part-2.visible-on-scroll .adopt-card:nth-child(3),
.adopt-part-3.visible-on-scroll .adopt-card:nth-child(3) {
    animation-delay: 0.6s;
}

.adopt-part-1.visible-on-scroll .adopt-card:nth-child(4),
.adopt-part-2.visible-on-scroll .adopt-card:nth-child(4),
.adopt-part-3.visible-on-scroll .adopt-card:nth-child(4) {
    animation-delay: 0.8s;
}

.adopt-part-1.visible-on-scroll,
.adopt-part-2.visible-on-scroll,
.adopt-part-3.visible-on-scroll {
    opacity: 1;
}

.adopt-card {
    width: 25%;
    padding: 1rem;
    cursor: pointer;
    background-color: transparent;
    transition: 0.5s;
    overflow: hidden;
}

.adopt-img {
    transition: 0.5s;
    width: 100%;
}

.adopt-text-container {
    padding: 0.5rem;
    font-size: var(--normal-font-size);
    color: var(--third-color);
    position: relative;
    top: 0vw;
    transition: 0.5s;
    display: inline-flex;
}

.adopt-text-name {
    font-weight: var(--bold-font);
    color: var(--secondary-color);
}

.adopt-card:hover > .adopt-img {
    transform: scale(1.2);
}

.adopt-card:hover > .adopt-text-container .adopt-text {
    color: var(--main-color);
}

.adopt-card:hover > .adopt-text-container {
    top: 1vw;
}

.adopt-card:hover {
    background-color: var(--fourth-color);
    border-radius: 2%;
}

@keyframes FadeIn {
    0% {
        opacity: 0;
        transform: scale(0.1);
    }

    85% {
        opacity: 1;
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}
